Package org.silverpeas.mobile.shared.dto

## Class MyLinkDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.MyLinkDTO

- All Implemented Interfaces:
    `Serializable`

      public class MyLinkDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MyLinkDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCategoryId()` |
    `String` | `getDescription()` |
    `String` | `getInstanceId()` |
    `int` | `getLinkId()` |
    `String` | `getName()` |
    `String` | `getObjectId()` |
    `boolean` | `getPopup()` |
    `int` | `getPosition()` |
    `String` | `getUri()` |
    `String` | `getUrl()` |
    `String` | `getUserId()` |
    `boolean` | `getVisible()` |
    `void` | `setCategoryId​(String categoryId)` |
    `void` | `setDescription​(String description)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setLinkId​(int linkId)` |
    `void` | `setName​(String name)` |
    `void` | `setObjectId​(String objectId)` |
    `void` | `setPopup​(boolean popup)` |
    `void` | `setPosition​(int position)` |
    `void` | `setUri​(String uri)` |
    `void` | `setUrl​(String url)` |
    `void` | `setUserId​(String userId)` |
    `void` | `setVisible​(boolean visible)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MyLinkDTO

          public MyLinkDTO()

  - ### Method Detail

    - #### getUri

          public String getUri()

    - #### setUri

          public void setUri​(String uri)

    - #### getLinkId

          public int getLinkId()

    - #### setLinkId

          public void setLinkId​(int linkId)

    - #### getPosition

          public int getPosition()

    - #### setPosition

          public void setPosition​(int position)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl​(String url)

    - #### getVisible

          public boolean getVisible()

    - #### setVisible

          public void setVisible​(boolean visible)

    - #### getPopup

          public boolean getPopup()

    - #### setPopup

          public void setPopup​(boolean popup)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId​(String userId)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getObjectId

          public String getObjectId()

    - #### setObjectId

          public void setObjectId​(String objectId)

    - #### getCategoryId

          public String getCategoryId()

    - #### setCategoryId

          public void setCategoryId​(String categoryId)